Page MenuHomePhabricator

UI for editing a Lexeme's language (M)
Closed, ResolvedPublic

Description

The language associated with a Lexeme should be editable via the UI. It should be done with a regular item selector.
Editing should be persistent.

Estimation: M

Related Objects

Event Timeline

daniel created this task.Jun 19 2017, 1:55 PM
Restricted Application added a project: Design. · View Herald TranscriptSep 4 2017, 3:19 PM

This involves a change to how the language and lexical category are present in the "view mode" too:

Edit mode would look like:

Note, the above have been originally created by @Jan_Dittrich and later lamely edited by me, so don't mind the ugly details I've introduced. Above mocks are to give the overview how it should look like.

Note, the above have been originally created by @Jan_Dittrich and later lamely edited by me, so don't mind the ugly details I've introduced.

Get's across what is important, I think. If people have open questions UI wise, tell me.

Notes from story time:

  • We have two times a language label. The bottom one is the general language, the top one (of which you can add several versions) is for the spelling variant, or regional variant etc.
  • In the top language fields, the current implementation has language codes. @Jan_Dittrich finds language codes, particular ones for unusual language variants problematic (because to many users they will be gibberish). Thus, Jan prefers natural language labels like "Old nothern english" (which still could have code-aliases)
  • There are some visual changes like position of labels, adding padding around the blue box and adjusting some sizes.
Jakob_WMDE moved this task from Backlog to Doing on the Wikidata-Former-Sprint-Board board.

Change 381000 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] [WIP] Make lexeme language and lexical category editable.

https://gerrit.wikimedia.org/r/381000

Change 381000 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Make lexeme language and lexical category editable.

https://gerrit.wikimedia.org/r/381000

WMDE-leszek removed Jakob_WMDE as the assignee of this task.Oct 12 2017, 4:00 PM
WMDE-leszek added a subscriber: Jakob_WMDE.
WMDE-leszek triaged this task as High priority.Oct 16 2017, 7:20 AM
WMDE-leszek moved this task from Doing to Backlog on the Wikidata-Former-Sprint-Board board.

Why is this in backlog when the patch is merged?

The patch only allows to change this field at all. It still does not match the desired UI. It is just a text field where you could put Q-ID (as a text). It is intended to be an "item selector" (you can find the language item by its "label" not by knowing Q-ID by heart), and also show the "label" of the language item, not (just) its ID. So the remaining part still needs to be done. As no one is currently working on it, it was moved back to Backlog.

Notes from estimation discussion today:

  • API for this already exists
  • item selector already exists
  • edit button already exists

Not necessary:

  • No specific selector to only select a subset of items

Acceptance criteria:

  • selector behaves and look like the existing item selector
  • edits are persistent
Franziska_Heine renamed this task from UI for editing a Lexeme's language to UI for editing a Lexeme's language (M).Oct 24 2017, 12:07 PM
WMDE-leszek moved this task from Backlog to Doing on the Wikidata-Former-Sprint-Board board.

Change 386390 had a related patch set uploaded (by WMDE-leszek; owner: Jonas Kress (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] LemmaHeader language and lexical category formatting

https://gerrit.wikimedia.org/r/386390

Change 386390 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] LemmaHeader language and lexical category formatting

https://gerrit.wikimedia.org/r/386390

Charlie_WMDE moved this task from Incoming WD to Done on the WMDE-Design board.Nov 13 2017, 2:05 PM